﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\ 
for details on configuring this project to bundle and minify static web assets. */

@media (min-width: 1200px){
    .container {
        width: 1440px;
    }
}

html, body {
    height: 100%;
}

.page-wrapper {
    min-height: calc(100vh - 50px); /* matches navbar padding-top */
    display: flex;
    flex-direction: column;
}

.page-wrapper > .container {
    flex: 1 0 auto;
}

body {
    padding-top: 50px;
    padding-bottom: 20px;
}

.text-danger, .text-info, .text-warning {
    font-weight: bold;
}

a:hover, .btn-link:hover{
    text-decoration: none;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Carousel */
#myCarousel {
    margin-top: 25px;
}

.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

.carousel img {
    margin: auto;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* Drop down menu items */
.dropdown-item a {
    display: block;
    width: 100%;
    padding: .25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #9d9d9d;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
}

.dropdown-item a:hover {
    
    color: #ffffff;
    text-decoration: none;
 
}

#footerline {
    width: 100%;
    overflow: hidden;
    margin: 5px auto 10px auto;
    text-align: center;    
}

.copyright {
    float:left;
}

.version {
    float:right;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }
}

.cat-nav.navbar-default {
    background-color: #ffffff;
    border: none;
    border-radius: 0;
    margin-bottom: 0px;
    padding-bottom: 0px;
}

.cat-nav.navbar-default .navbar-nav > li > a {
    font-weight: bold;
    font-size: 15px;
    color: #222222;
}

.cat-nav.navbar-default .navbar-nav > li > a:hover {
    color: #990033;
}

.thick-black-hr {
    border: 0;
    height: 2px;
    background-color: #222222;
    margin-top: 0px;
    margin-bottom: 0px;
}

.jumbotron {
    background-image: url('../images/store_hero.jpg');
    background-size: cover;    
    width: 100%;
    height: 500px;
    margin-bottom: 0px;
}

.jumbotron .container {
    text-align: center;
}

.jumbotron h1{
    color: #990033;
    font-family:"Adobe Devanagari",serif;
}

.new-adn-break {
    width: 140px;
    text-align: center;
    background-color: #222222;
    color: #9d9d9d;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-top: 0px;
}

.btn-black {
    color: #9d9d9d;
    background-color: #222222;
    border-color: #222222;
}

.btn-black:hover {
    color: #fff;
}

#result-nav ul {
    font-size: 15px;
    list-style-type: none;
    padding-top: 15px;
    padding-left: 0px;
    margin: 0;
}

#result-nav h4 {
    background-color: #222222;
    color: white;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-top: 0px;
    margin-bottom: 1px;
    text-align: center;
}

#result-nav li {
    background-color: white;
    margin-bottom: 1px;
}

    #result-nav li a {
        display: block;
        color: black;
        font-weight: bold;
        padding: 10px;
        text-decoration: none;
    }

        #result-nav li a:hover {
            display: block;
            color: #fff;
            background-color: #222222;
        }

.result-image {    
    max-width: 100%;
    height: auto;
    padding-top: 20px;
    padding-bottom: 20px;    
}    

#product-box {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 300px;
    height: 300px;
    border: solid;
    border-width: 1px;
}

#product-box img {
    max-height: 250px;
    max-width: 250px;
}

#finish-bar {
    display: flex;
    justify-content: flex-start;
    padding-top: 5px;
    text-align: center;
}

#finish-item img {
    height: 50px;
}

#product-details {
    text-align: left;
}

.count {
    width: 75px;
    height: 35px;
    text-align: center;
    font-weight: bold;
}

.footer {
    flex-shrink: 0;    
    padding: 15px 0;
    text-align: center;   
}